Bug 1276427 - busybox: Segmentation fault when unzipping specially crafted zip file
busybox: Segmentation fault when unzipping specially crafted zip file
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20151025,reported=2...
: Security
Depends On: 1276428
Blocks: 1276429
  Show dependency treegraph
 
Reported: 2015-10-29 12:18 EDT by Adam Mariš
Modified: 2015-11-06 02:00 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-05 05:44:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2015-10-29 12:18:54 EDT
It was found that unziping a specially crafted zip file results in a computation of an invalid pointer and a crash reading an invalid address.

Crash report with reproducer can be found here:

http://seclists.org/oss-sec/2015/q4/158
Comment 1 Adam Mariš 2015-10-29 12:19:15 EDT
Created busybox tracking bugs for this issue:

Affects: fedora-all [bug 1276428]

Note You need to log in before you can comment on or make changes to this bug.